import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function listWebhooks() {
const response = await client.webhooks.list({
is_subscribed: true
});
console.log(response);
}
listWebhooks();curl -X GET \
https://api.periskope.app/v1/webhooks?is_subscribed=true \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json'[
{
"id": "0ef25935-0b78-4660-beeb-f17311793305",
"subscribed_at": "2025-11-16T11:20:42.038+00:00",
"is_subscribed": true,
"integration_name": "ticket.created",
"integration_type": "webhook",
"type": "webhook",
"integration_metadata": {
"id": "28ee5da7-d6e5-438b-8b73-9eba97f08269",
"name": "https://webhook.site/951e142b-d2e6-420d-a666-f2c4bd8e572c"
},
"org_id": "03a52dbe-b8af-47c5-9fd1-e5a622680cad",
"hook_url": "https://webhook.site/951e142b-d2e6-420d-a666-f2c4bd8e572c",
"integration_id": "28ee5da7-d6e5-438b-8b73-9eba97f08269"
}
]List Webhooks
This endpoint retrieves a list of webhooks with optional filtering
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function listWebhooks() {
const response = await client.webhooks.list({
is_subscribed: true
});
console.log(response);
}
listWebhooks();curl -X GET \
https://api.periskope.app/v1/webhooks?is_subscribed=true \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json'[
{
"id": "0ef25935-0b78-4660-beeb-f17311793305",
"subscribed_at": "2025-11-16T11:20:42.038+00:00",
"is_subscribed": true,
"integration_name": "ticket.created",
"integration_type": "webhook",
"type": "webhook",
"integration_metadata": {
"id": "28ee5da7-d6e5-438b-8b73-9eba97f08269",
"name": "https://webhook.site/951e142b-d2e6-420d-a666-f2c4bd8e572c"
},
"org_id": "03a52dbe-b8af-47c5-9fd1-e5a622680cad",
"hook_url": "https://webhook.site/951e142b-d2e6-420d-a666-f2c4bd8e572c",
"integration_id": "28ee5da7-d6e5-438b-8b73-9eba97f08269"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by integration name
Filter by subscription status
Filter by integration ID
Filter by webhook URL
Response
200 OK
Unique identifier of the webhook subscription
"0ef25935-0b78-4660-beeb-f17311793305"
Timestamp when the webhook was subscribed
"2025-11-16T11:20:42.038+00:00"
Whether the webhook is currently active
true
Name of the event this webhook listens to
"ticket.created"
Type of integration
"webhook"
Type of the subscription
"webhook"
Additional metadata about the integration
Show child attributes
Show child attributes
Organization ID that owns this webhook
"03a52dbe-b8af-47c5-9fd1-e5a622680cad"
The URL where webhook events are sent
"https://webhook.site/951e142b-d2e6-420d-a666-f2c4bd8e572c"
Unique identifier of the integration
"28ee5da7-d6e5-438b-8b73-9eba97f08269"
Was this page helpful?